// SoC467Base.v

// Generated using ACDS version 14.1 186 at 2015.02.27.14:10:08

`timescale 1 ps / 1 ps
module SoC467Base (
		input  wire        clk_clk,                             //                     clk.clk
		output wire        dram_clk_pll_outclk0_clk,            //    dram_clk_pll_outclk0.clk
		input  wire [31:0] fifo_f2h_in_writedata,               //             fifo_f2h_in.writedata
		input  wire        fifo_f2h_in_write,                   //                        .write
		output wire        fifo_f2h_in_waitrequest,             //                        .waitrequest
		output wire [31:0] fifo_h2f_out_readdata,               //            fifo_h2f_out.readdata
		input  wire        fifo_h2f_out_read,                   //                        .read
		output wire        fifo_h2f_out_waitrequest,            //                        .waitrequest
		output wire [12:0] memory_mem_a,                        //                  memory.mem_a
		output wire [2:0]  memory_mem_ba,                       //                        .mem_ba
		output wire        memory_mem_ck,                       //                        .mem_ck
		output wire        memory_mem_ck_n,                     //                        .mem_ck_n
		output wire        memory_mem_cke,                      //                        .mem_cke
		output wire        memory_mem_cs_n,                     //                        .mem_cs_n
		output wire        memory_mem_ras_n,                    //                        .mem_ras_n
		output wire        memory_mem_cas_n,                    //                        .mem_cas_n
		output wire        memory_mem_we_n,                     //                        .mem_we_n
		output wire        memory_mem_reset_n,                  //                        .mem_reset_n
		inout  wire [31:0] memory_mem_dq,                       //                        .mem_dq
		inout  wire [3:0]  memory_mem_dqs,                      //                        .mem_dqs
		inout  wire [3:0]  memory_mem_dqs_n,                    //                        .mem_dqs_n
		output wire        memory_mem_odt,                      //                        .mem_odt
		output wire [3:0]  memory_mem_dm,                       //                        .mem_dm
		input  wire        memory_oct_rzqin,                    //                        .oct_rzqin
		input  wire        reset_reset_n,                       //                   reset.reset_n
		input  wire [24:0] sdram_controller_0_s1_address,       //   sdram_controller_0_s1.address
		input  wire [1:0]  sdram_controller_0_s1_byteenable_n,  //                        .byteenable_n
		input  wire        sdram_controller_0_s1_chipselect,    //                        .chipselect
		input  wire [15:0] sdram_controller_0_s1_writedata,     //                        .writedata
		input  wire        sdram_controller_0_s1_read_n,        //                        .read_n
		input  wire        sdram_controller_0_s1_write_n,       //                        .write_n
		output wire [15:0] sdram_controller_0_s1_readdata,      //                        .readdata
		output wire        sdram_controller_0_s1_readdatavalid, //                        .readdatavalid
		output wire        sdram_controller_0_s1_waitrequest,   //                        .waitrequest
		output wire [12:0] sdram_controller_0_wire_addr,        // sdram_controller_0_wire.addr
		output wire [1:0]  sdram_controller_0_wire_ba,          //                        .ba
		output wire        sdram_controller_0_wire_cas_n,       //                        .cas_n
		output wire        sdram_controller_0_wire_cke,         //                        .cke
		output wire        sdram_controller_0_wire_cs_n,        //                        .cs_n
		inout  wire [15:0] sdram_controller_0_wire_dq,          //                        .dq
		output wire [1:0]  sdram_controller_0_wire_dqm,         //                        .dqm
		output wire        sdram_controller_0_wire_ras_n,       //                        .ras_n
		output wire        sdram_controller_0_wire_we_n         //                        .we_n
	);

	wire   [1:0] hps_0_h2f_axi_master_awburst;                 // hps_0:h2f_AWBURST -> mm_interconnect_0:hps_0_h2f_axi_master_awburst
	wire   [3:0] hps_0_h2f_axi_master_arlen;                   // hps_0:h2f_ARLEN -> mm_interconnect_0:hps_0_h2f_axi_master_arlen
	wire   [7:0] hps_0_h2f_axi_master_wstrb;                   // hps_0:h2f_WSTRB -> mm_interconnect_0:hps_0_h2f_axi_master_wstrb
	wire         hps_0_h2f_axi_master_wready;                  // mm_interconnect_0:hps_0_h2f_axi_master_wready -> hps_0:h2f_WREADY
	wire  [11:0] hps_0_h2f_axi_master_rid;                     // mm_interconnect_0:hps_0_h2f_axi_master_rid -> hps_0:h2f_RID
	wire         hps_0_h2f_axi_master_rready;                  // hps_0:h2f_RREADY -> mm_interconnect_0:hps_0_h2f_axi_master_rready
	wire   [3:0] hps_0_h2f_axi_master_awlen;                   // hps_0:h2f_AWLEN -> mm_interconnect_0:hps_0_h2f_axi_master_awlen
	wire  [11:0] hps_0_h2f_axi_master_wid;                     // hps_0:h2f_WID -> mm_interconnect_0:hps_0_h2f_axi_master_wid
	wire   [3:0] hps_0_h2f_axi_master_arcache;                 // hps_0:h2f_ARCACHE -> mm_interconnect_0:hps_0_h2f_axi_master_arcache
	wire         hps_0_h2f_axi_master_wvalid;                  // hps_0:h2f_WVALID -> mm_interconnect_0:hps_0_h2f_axi_master_wvalid
	wire  [29:0] hps_0_h2f_axi_master_araddr;                  // hps_0:h2f_ARADDR -> mm_interconnect_0:hps_0_h2f_axi_master_araddr
	wire   [2:0] hps_0_h2f_axi_master_arprot;                  // hps_0:h2f_ARPROT -> mm_interconnect_0:hps_0_h2f_axi_master_arprot
	wire   [2:0] hps_0_h2f_axi_master_awprot;                  // hps_0:h2f_AWPROT -> mm_interconnect_0:hps_0_h2f_axi_master_awprot
	wire  [63:0] hps_0_h2f_axi_master_wdata;                   // hps_0:h2f_WDATA -> mm_interconnect_0:hps_0_h2f_axi_master_wdata
	wire         hps_0_h2f_axi_master_arvalid;                 // hps_0:h2f_ARVALID -> mm_interconnect_0:hps_0_h2f_axi_master_arvalid
	wire   [3:0] hps_0_h2f_axi_master_awcache;                 // hps_0:h2f_AWCACHE -> mm_interconnect_0:hps_0_h2f_axi_master_awcache
	wire  [11:0] hps_0_h2f_axi_master_arid;                    // hps_0:h2f_ARID -> mm_interconnect_0:hps_0_h2f_axi_master_arid
	wire   [1:0] hps_0_h2f_axi_master_arlock;                  // hps_0:h2f_ARLOCK -> mm_interconnect_0:hps_0_h2f_axi_master_arlock
	wire   [1:0] hps_0_h2f_axi_master_awlock;                  // hps_0:h2f_AWLOCK -> mm_interconnect_0:hps_0_h2f_axi_master_awlock
	wire  [29:0] hps_0_h2f_axi_master_awaddr;                  // hps_0:h2f_AWADDR -> mm_interconnect_0:hps_0_h2f_axi_master_awaddr
	wire   [1:0] hps_0_h2f_axi_master_bresp;                   // mm_interconnect_0:hps_0_h2f_axi_master_bresp -> hps_0:h2f_BRESP
	wire         hps_0_h2f_axi_master_arready;                 // mm_interconnect_0:hps_0_h2f_axi_master_arready -> hps_0:h2f_ARREADY
	wire  [63:0] hps_0_h2f_axi_master_rdata;                   // mm_interconnect_0:hps_0_h2f_axi_master_rdata -> hps_0:h2f_RDATA
	wire         hps_0_h2f_axi_master_awready;                 // mm_interconnect_0:hps_0_h2f_axi_master_awready -> hps_0:h2f_AWREADY
	wire   [1:0] hps_0_h2f_axi_master_arburst;                 // hps_0:h2f_ARBURST -> mm_interconnect_0:hps_0_h2f_axi_master_arburst
	wire   [2:0] hps_0_h2f_axi_master_arsize;                  // hps_0:h2f_ARSIZE -> mm_interconnect_0:hps_0_h2f_axi_master_arsize
	wire         hps_0_h2f_axi_master_bready;                  // hps_0:h2f_BREADY -> mm_interconnect_0:hps_0_h2f_axi_master_bready
	wire         hps_0_h2f_axi_master_rlast;                   // mm_interconnect_0:hps_0_h2f_axi_master_rlast -> hps_0:h2f_RLAST
	wire         hps_0_h2f_axi_master_wlast;                   // hps_0:h2f_WLAST -> mm_interconnect_0:hps_0_h2f_axi_master_wlast
	wire   [1:0] hps_0_h2f_axi_master_rresp;                   // mm_interconnect_0:hps_0_h2f_axi_master_rresp -> hps_0:h2f_RRESP
	wire  [11:0] hps_0_h2f_axi_master_awid;                    // hps_0:h2f_AWID -> mm_interconnect_0:hps_0_h2f_axi_master_awid
	wire  [11:0] hps_0_h2f_axi_master_bid;                     // mm_interconnect_0:hps_0_h2f_axi_master_bid -> hps_0:h2f_BID
	wire         hps_0_h2f_axi_master_bvalid;                  // mm_interconnect_0:hps_0_h2f_axi_master_bvalid -> hps_0:h2f_BVALID
	wire   [2:0] hps_0_h2f_axi_master_awsize;                  // hps_0:h2f_AWSIZE -> mm_interconnect_0:hps_0_h2f_axi_master_awsize
	wire         hps_0_h2f_axi_master_awvalid;                 // hps_0:h2f_AWVALID -> mm_interconnect_0:hps_0_h2f_axi_master_awvalid
	wire         hps_0_h2f_axi_master_rvalid;                  // mm_interconnect_0:hps_0_h2f_axi_master_rvalid -> hps_0:h2f_RVALID
	wire         mm_interconnect_0_fifo_h2f_in_waitrequest;    // fifo_h2f:avalonmm_write_slave_waitrequest -> mm_interconnect_0:fifo_h2f_in_waitrequest
	wire         mm_interconnect_0_fifo_h2f_in_write;          // mm_interconnect_0:fifo_h2f_in_write -> fifo_h2f:avalonmm_write_slave_write
	wire  [31:0] mm_interconnect_0_fifo_h2f_in_writedata;      // mm_interconnect_0:fifo_h2f_in_writedata -> fifo_h2f:avalonmm_write_slave_writedata
	wire  [31:0] mm_interconnect_0_fifo_h2f_in_csr_readdata;   // fifo_h2f:wrclk_control_slave_readdata -> mm_interconnect_0:fifo_h2f_in_csr_readdata
	wire   [2:0] mm_interconnect_0_fifo_h2f_in_csr_address;    // mm_interconnect_0:fifo_h2f_in_csr_address -> fifo_h2f:wrclk_control_slave_address
	wire         mm_interconnect_0_fifo_h2f_in_csr_read;       // mm_interconnect_0:fifo_h2f_in_csr_read -> fifo_h2f:wrclk_control_slave_read
	wire         mm_interconnect_0_fifo_h2f_in_csr_write;      // mm_interconnect_0:fifo_h2f_in_csr_write -> fifo_h2f:wrclk_control_slave_write
	wire  [31:0] mm_interconnect_0_fifo_h2f_in_csr_writedata;  // mm_interconnect_0:fifo_h2f_in_csr_writedata -> fifo_h2f:wrclk_control_slave_writedata
	wire  [31:0] mm_interconnect_0_fifo_f2h_out_readdata;      // fifo_f2h:avalonmm_read_slave_readdata -> mm_interconnect_0:fifo_f2h_out_readdata
	wire         mm_interconnect_0_fifo_f2h_out_waitrequest;   // fifo_f2h:avalonmm_read_slave_waitrequest -> mm_interconnect_0:fifo_f2h_out_waitrequest
	wire         mm_interconnect_0_fifo_f2h_out_read;          // mm_interconnect_0:fifo_f2h_out_read -> fifo_f2h:avalonmm_read_slave_read
	wire  [31:0] mm_interconnect_0_fifo_f2h_out_csr_readdata;  // fifo_f2h:rdclk_control_slave_readdata -> mm_interconnect_0:fifo_f2h_out_csr_readdata
	wire   [2:0] mm_interconnect_0_fifo_f2h_out_csr_address;   // mm_interconnect_0:fifo_f2h_out_csr_address -> fifo_f2h:rdclk_control_slave_address
	wire         mm_interconnect_0_fifo_f2h_out_csr_read;      // mm_interconnect_0:fifo_f2h_out_csr_read -> fifo_f2h:rdclk_control_slave_read
	wire         mm_interconnect_0_fifo_f2h_out_csr_write;     // mm_interconnect_0:fifo_f2h_out_csr_write -> fifo_f2h:rdclk_control_slave_write
	wire  [31:0] mm_interconnect_0_fifo_f2h_out_csr_writedata; // mm_interconnect_0:fifo_f2h_out_csr_writedata -> fifo_f2h:rdclk_control_slave_writedata
	wire         rst_controller_reset_out_reset;               // rst_controller:reset_out -> dram_clk_pll:rst
	wire         hps_0_h2f_cold_reset_reset;                   // hps_0:h2f_cold_rst_n -> [rst_controller:reset_in1, rst_controller_001:reset_in1]
	wire         hps_0_h2f_reset_reset;                        // hps_0:h2f_rst_n -> [rst_controller:reset_in2, rst_controller_001:reset_in2, rst_controller_002:reset_in0]
	wire         rst_controller_001_reset_out_reset;           // rst_controller_001:reset_out -> [fifo_f2h:rdreset_n, fifo_f2h:wrreset_n, fifo_h2f:reset_n, mm_interconnect_0:fifo_h2f_reset_in_reset_bridge_in_reset_reset, sdram_controller_0:reset_n]
	wire         rst_controller_002_reset_out_reset;           // rst_controller_002:reset_out -> mm_interconnect_0:hps_0_h2f_axi_master_agent_clk_reset_reset_bridge_in_reset_reset

	SoC467Base_dram_clk_pll dram_clk_pll (
		.refclk   (clk_clk),                        //  refclk.clk
		.rst      (rst_controller_reset_out_reset), //   reset.reset
		.outclk_0 (dram_clk_pll_outclk0_clk),       // outclk0.clk
		.locked   ()                                //  locked.export
	);

	SoC467Base_fifo_f2h fifo_f2h (
		.wrclock                          (clk_clk),                                      //    clk_in.clk
		.wrreset_n                        (~rst_controller_001_reset_out_reset),          //  reset_in.reset_n
		.rdclock                          (clk_clk),                                      //   clk_out.clk
		.rdreset_n                        (~rst_controller_001_reset_out_reset),          // reset_out.reset_n
		.avalonmm_write_slave_writedata   (fifo_f2h_in_writedata),                        //        in.writedata
		.avalonmm_write_slave_write       (fifo_f2h_in_write),                            //          .write
		.avalonmm_write_slave_waitrequest (fifo_f2h_in_waitrequest),                      //          .waitrequest
		.avalonmm_read_slave_readdata     (mm_interconnect_0_fifo_f2h_out_readdata),      //       out.readdata
		.avalonmm_read_slave_read         (mm_interconnect_0_fifo_f2h_out_read),          //          .read
		.avalonmm_read_slave_waitrequest  (mm_interconnect_0_fifo_f2h_out_waitrequest),   //          .waitrequest
		.rdclk_control_slave_address      (mm_interconnect_0_fifo_f2h_out_csr_address),   //   out_csr.address
		.rdclk_control_slave_read         (mm_interconnect_0_fifo_f2h_out_csr_read),      //          .read
		.rdclk_control_slave_writedata    (mm_interconnect_0_fifo_f2h_out_csr_writedata), //          .writedata
		.rdclk_control_slave_write        (mm_interconnect_0_fifo_f2h_out_csr_write),     //          .write
		.rdclk_control_slave_readdata     (mm_interconnect_0_fifo_f2h_out_csr_readdata)   //          .readdata
	);

	SoC467Base_fifo_h2f fifo_h2f (
		.wrclock                          (clk_clk),                                     //   clk_in.clk
		.reset_n                          (~rst_controller_001_reset_out_reset),         // reset_in.reset_n
		.avalonmm_write_slave_writedata   (mm_interconnect_0_fifo_h2f_in_writedata),     //       in.writedata
		.avalonmm_write_slave_write       (mm_interconnect_0_fifo_h2f_in_write),         //         .write
		.avalonmm_write_slave_waitrequest (mm_interconnect_0_fifo_h2f_in_waitrequest),   //         .waitrequest
		.avalonmm_read_slave_readdata     (fifo_h2f_out_readdata),                       //      out.readdata
		.avalonmm_read_slave_read         (fifo_h2f_out_read),                           //         .read
		.avalonmm_read_slave_waitrequest  (fifo_h2f_out_waitrequest),                    //         .waitrequest
		.wrclk_control_slave_address      (mm_interconnect_0_fifo_h2f_in_csr_address),   //   in_csr.address
		.wrclk_control_slave_read         (mm_interconnect_0_fifo_h2f_in_csr_read),      //         .read
		.wrclk_control_slave_writedata    (mm_interconnect_0_fifo_h2f_in_csr_writedata), //         .writedata
		.wrclk_control_slave_write        (mm_interconnect_0_fifo_h2f_in_csr_write),     //         .write
		.wrclk_control_slave_readdata     (mm_interconnect_0_fifo_h2f_in_csr_readdata)   //         .readdata
	);

	SoC467Base_hps_0 #(
		.F2S_Width (2),
		.S2F_Width (2)
	) hps_0 (
		.h2f_cold_rst_n (hps_0_h2f_cold_reset_reset),   // h2f_cold_reset.reset_n
		.mem_a          (memory_mem_a),                 //         memory.mem_a
		.mem_ba         (memory_mem_ba),                //               .mem_ba
		.mem_ck         (memory_mem_ck),                //               .mem_ck
		.mem_ck_n       (memory_mem_ck_n),              //               .mem_ck_n
		.mem_cke        (memory_mem_cke),               //               .mem_cke
		.mem_cs_n       (memory_mem_cs_n),              //               .mem_cs_n
		.mem_ras_n      (memory_mem_ras_n),             //               .mem_ras_n
		.mem_cas_n      (memory_mem_cas_n),             //               .mem_cas_n
		.mem_we_n       (memory_mem_we_n),              //               .mem_we_n
		.mem_reset_n    (memory_mem_reset_n),           //               .mem_reset_n
		.mem_dq         (memory_mem_dq),                //               .mem_dq
		.mem_dqs        (memory_mem_dqs),               //               .mem_dqs
		.mem_dqs_n      (memory_mem_dqs_n),             //               .mem_dqs_n
		.mem_odt        (memory_mem_odt),               //               .mem_odt
		.mem_dm         (memory_mem_dm),                //               .mem_dm
		.oct_rzqin      (memory_oct_rzqin),             //               .oct_rzqin
		.h2f_rst_n      (hps_0_h2f_reset_reset),        //      h2f_reset.reset_n
		.h2f_axi_clk    (clk_clk),                      //  h2f_axi_clock.clk
		.h2f_AWID       (hps_0_h2f_axi_master_awid),    // h2f_axi_master.awid
		.h2f_AWADDR     (hps_0_h2f_axi_master_awaddr),  //               .awaddr
		.h2f_AWLEN      (hps_0_h2f_axi_master_awlen),   //               .awlen
		.h2f_AWSIZE     (hps_0_h2f_axi_master_awsize),  //               .awsize
		.h2f_AWBURST    (hps_0_h2f_axi_master_awburst), //               .awburst
		.h2f_AWLOCK     (hps_0_h2f_axi_master_awlock),  //               .awlock
		.h2f_AWCACHE    (hps_0_h2f_axi_master_awcache), //               .awcache
		.h2f_AWPROT     (hps_0_h2f_axi_master_awprot),  //               .awprot
		.h2f_AWVALID    (hps_0_h2f_axi_master_awvalid), //               .awvalid
		.h2f_AWREADY    (hps_0_h2f_axi_master_awready), //               .awready
		.h2f_WID        (hps_0_h2f_axi_master_wid),     //               .wid
		.h2f_WDATA      (hps_0_h2f_axi_master_wdata),   //               .wdata
		.h2f_WSTRB      (hps_0_h2f_axi_master_wstrb),   //               .wstrb
		.h2f_WLAST      (hps_0_h2f_axi_master_wlast),   //               .wlast
		.h2f_WVALID     (hps_0_h2f_axi_master_wvalid),  //               .wvalid
		.h2f_WREADY     (hps_0_h2f_axi_master_wready),  //               .wready
		.h2f_BID        (hps_0_h2f_axi_master_bid),     //               .bid
		.h2f_BRESP      (hps_0_h2f_axi_master_bresp),   //               .bresp
		.h2f_BVALID     (hps_0_h2f_axi_master_bvalid),  //               .bvalid
		.h2f_BREADY     (hps_0_h2f_axi_master_bready),  //               .bready
		.h2f_ARID       (hps_0_h2f_axi_master_arid),    //               .arid
		.h2f_ARADDR     (hps_0_h2f_axi_master_araddr),  //               .araddr
		.h2f_ARLEN      (hps_0_h2f_axi_master_arlen),   //               .arlen
		.h2f_ARSIZE     (hps_0_h2f_axi_master_arsize),  //               .arsize
		.h2f_ARBURST    (hps_0_h2f_axi_master_arburst), //               .arburst
		.h2f_ARLOCK     (hps_0_h2f_axi_master_arlock),  //               .arlock
		.h2f_ARCACHE    (hps_0_h2f_axi_master_arcache), //               .arcache
		.h2f_ARPROT     (hps_0_h2f_axi_master_arprot),  //               .arprot
		.h2f_ARVALID    (hps_0_h2f_axi_master_arvalid), //               .arvalid
		.h2f_ARREADY    (hps_0_h2f_axi_master_arready), //               .arready
		.h2f_RID        (hps_0_h2f_axi_master_rid),     //               .rid
		.h2f_RDATA      (hps_0_h2f_axi_master_rdata),   //               .rdata
		.h2f_RRESP      (hps_0_h2f_axi_master_rresp),   //               .rresp
		.h2f_RLAST      (hps_0_h2f_axi_master_rlast),   //               .rlast
		.h2f_RVALID     (hps_0_h2f_axi_master_rvalid),  //               .rvalid
		.h2f_RREADY     (hps_0_h2f_axi_master_rready),  //               .rready
		.f2h_axi_clk    (clk_clk),                      //  f2h_axi_clock.clk
		.f2h_AWID       (),                             //  f2h_axi_slave.awid
		.f2h_AWADDR     (),                             //               .awaddr
		.f2h_AWLEN      (),                             //               .awlen
		.f2h_AWSIZE     (),                             //               .awsize
		.f2h_AWBURST    (),                             //               .awburst
		.f2h_AWLOCK     (),                             //               .awlock
		.f2h_AWCACHE    (),                             //               .awcache
		.f2h_AWPROT     (),                             //               .awprot
		.f2h_AWVALID    (),                             //               .awvalid
		.f2h_AWREADY    (),                             //               .awready
		.f2h_AWUSER     (),                             //               .awuser
		.f2h_WID        (),                             //               .wid
		.f2h_WDATA      (),                             //               .wdata
		.f2h_WSTRB      (),                             //               .wstrb
		.f2h_WLAST      (),                             //               .wlast
		.f2h_WVALID     (),                             //               .wvalid
		.f2h_WREADY     (),                             //               .wready
		.f2h_BID        (),                             //               .bid
		.f2h_BRESP      (),                             //               .bresp
		.f2h_BVALID     (),                             //               .bvalid
		.f2h_BREADY     (),                             //               .bready
		.f2h_ARID       (),                             //               .arid
		.f2h_ARADDR     (),                             //               .araddr
		.f2h_ARLEN      (),                             //               .arlen
		.f2h_ARSIZE     (),                             //               .arsize
		.f2h_ARBURST    (),                             //               .arburst
		.f2h_ARLOCK     (),                             //               .arlock
		.f2h_ARCACHE    (),                             //               .arcache
		.f2h_ARPROT     (),                             //               .arprot
		.f2h_ARVALID    (),                             //               .arvalid
		.f2h_ARREADY    (),                             //               .arready
		.f2h_ARUSER     (),                             //               .aruser
		.f2h_RID        (),                             //               .rid
		.f2h_RDATA      (),                             //               .rdata
		.f2h_RRESP      (),                             //               .rresp
		.f2h_RLAST      (),                             //               .rlast
		.f2h_RVALID     (),                             //               .rvalid
		.f2h_RREADY     ()                              //               .rready
	);

	SoC467Base_sdram_controller_0 sdram_controller_0 (
		.clk            (clk_clk),                             //   clk.clk
		.reset_n        (~rst_controller_001_reset_out_reset), // reset.reset_n
		.az_addr        (sdram_controller_0_s1_address),       //    s1.address
		.az_be_n        (sdram_controller_0_s1_byteenable_n),  //      .byteenable_n
		.az_cs          (sdram_controller_0_s1_chipselect),    //      .chipselect
		.az_data        (sdram_controller_0_s1_writedata),     //      .writedata
		.az_rd_n        (sdram_controller_0_s1_read_n),        //      .read_n
		.az_wr_n        (sdram_controller_0_s1_write_n),       //      .write_n
		.za_data        (sdram_controller_0_s1_readdata),      //      .readdata
		.za_valid       (sdram_controller_0_s1_readdatavalid), //      .readdatavalid
		.za_waitrequest (sdram_controller_0_s1_waitrequest),   //      .waitrequest
		.zs_addr        (sdram_controller_0_wire_addr),        //  wire.export
		.zs_ba          (sdram_controller_0_wire_ba),          //      .export
		.zs_cas_n       (sdram_controller_0_wire_cas_n),       //      .export
		.zs_cke         (sdram_controller_0_wire_cke),         //      .export
		.zs_cs_n        (sdram_controller_0_wire_cs_n),        //      .export
		.zs_dq          (sdram_controller_0_wire_dq),          //      .export
		.zs_dqm         (sdram_controller_0_wire_dqm),         //      .export
		.zs_ras_n       (sdram_controller_0_wire_ras_n),       //      .export
		.zs_we_n        (sdram_controller_0_wire_we_n)         //      .export
	);

	SoC467Base_mm_interconnect_0 mm_interconnect_0 (
		.hps_0_h2f_axi_master_awid                                        (hps_0_h2f_axi_master_awid),                    //                                       hps_0_h2f_axi_master.awid
		.hps_0_h2f_axi_master_awaddr                                      (hps_0_h2f_axi_master_awaddr),                  //                                                           .awaddr
		.hps_0_h2f_axi_master_awlen                                       (hps_0_h2f_axi_master_awlen),                   //                                                           .awlen
		.hps_0_h2f_axi_master_awsize                                      (hps_0_h2f_axi_master_awsize),                  //                                                           .awsize
		.hps_0_h2f_axi_master_awburst                                     (hps_0_h2f_axi_master_awburst),                 //                                                           .awburst
		.hps_0_h2f_axi_master_awlock                                      (hps_0_h2f_axi_master_awlock),                  //                                                           .awlock
		.hps_0_h2f_axi_master_awcache                                     (hps_0_h2f_axi_master_awcache),                 //                                                           .awcache
		.hps_0_h2f_axi_master_awprot                                      (hps_0_h2f_axi_master_awprot),                  //                                                           .awprot
		.hps_0_h2f_axi_master_awvalid                                     (hps_0_h2f_axi_master_awvalid),                 //                                                           .awvalid
		.hps_0_h2f_axi_master_awready                                     (hps_0_h2f_axi_master_awready),                 //                                                           .awready
		.hps_0_h2f_axi_master_wid                                         (hps_0_h2f_axi_master_wid),                     //                                                           .wid
		.hps_0_h2f_axi_master_wdata                                       (hps_0_h2f_axi_master_wdata),                   //                                                           .wdata
		.hps_0_h2f_axi_master_wstrb                                       (hps_0_h2f_axi_master_wstrb),                   //                                                           .wstrb
		.hps_0_h2f_axi_master_wlast                                       (hps_0_h2f_axi_master_wlast),                   //                                                           .wlast
		.hps_0_h2f_axi_master_wvalid                                      (hps_0_h2f_axi_master_wvalid),                  //                                                           .wvalid
		.hps_0_h2f_axi_master_wready                                      (hps_0_h2f_axi_master_wready),                  //                                                           .wready
		.hps_0_h2f_axi_master_bid                                         (hps_0_h2f_axi_master_bid),                     //                                                           .bid
		.hps_0_h2f_axi_master_bresp                                       (hps_0_h2f_axi_master_bresp),                   //                                                           .bresp
		.hps_0_h2f_axi_master_bvalid                                      (hps_0_h2f_axi_master_bvalid),                  //                                                           .bvalid
		.hps_0_h2f_axi_master_bready                                      (hps_0_h2f_axi_master_bready),                  //                                                           .bready
		.hps_0_h2f_axi_master_arid                                        (hps_0_h2f_axi_master_arid),                    //                                                           .arid
		.hps_0_h2f_axi_master_araddr                                      (hps_0_h2f_axi_master_araddr),                  //                                                           .araddr
		.hps_0_h2f_axi_master_arlen                                       (hps_0_h2f_axi_master_arlen),                   //                                                           .arlen
		.hps_0_h2f_axi_master_arsize                                      (hps_0_h2f_axi_master_arsize),                  //                                                           .arsize
		.hps_0_h2f_axi_master_arburst                                     (hps_0_h2f_axi_master_arburst),                 //                                                           .arburst
		.hps_0_h2f_axi_master_arlock                                      (hps_0_h2f_axi_master_arlock),                  //                                                           .arlock
		.hps_0_h2f_axi_master_arcache                                     (hps_0_h2f_axi_master_arcache),                 //                                                           .arcache
		.hps_0_h2f_axi_master_arprot                                      (hps_0_h2f_axi_master_arprot),                  //                                                           .arprot
		.hps_0_h2f_axi_master_arvalid                                     (hps_0_h2f_axi_master_arvalid),                 //                                                           .arvalid
		.hps_0_h2f_axi_master_arready                                     (hps_0_h2f_axi_master_arready),                 //                                                           .arready
		.hps_0_h2f_axi_master_rid                                         (hps_0_h2f_axi_master_rid),                     //                                                           .rid
		.hps_0_h2f_axi_master_rdata                                       (hps_0_h2f_axi_master_rdata),                   //                                                           .rdata
		.hps_0_h2f_axi_master_rresp                                       (hps_0_h2f_axi_master_rresp),                   //                                                           .rresp
		.hps_0_h2f_axi_master_rlast                                       (hps_0_h2f_axi_master_rlast),                   //                                                           .rlast
		.hps_0_h2f_axi_master_rvalid                                      (hps_0_h2f_axi_master_rvalid),                  //                                                           .rvalid
		.hps_0_h2f_axi_master_rready                                      (hps_0_h2f_axi_master_rready),                  //                                                           .rready
		.clk_50_clk_clk                                                   (clk_clk),                                      //                                                 clk_50_clk.clk
		.fifo_h2f_reset_in_reset_bridge_in_reset_reset                    (rst_controller_001_reset_out_reset),           //                    fifo_h2f_reset_in_reset_bridge_in_reset.reset
		.hps_0_h2f_axi_master_agent_clk_reset_reset_bridge_in_reset_reset (rst_controller_002_reset_out_reset),           // hps_0_h2f_axi_master_agent_clk_reset_reset_bridge_in_reset.reset
		.fifo_f2h_out_read                                                (mm_interconnect_0_fifo_f2h_out_read),          //                                               fifo_f2h_out.read
		.fifo_f2h_out_readdata                                            (mm_interconnect_0_fifo_f2h_out_readdata),      //                                                           .readdata
		.fifo_f2h_out_waitrequest                                         (mm_interconnect_0_fifo_f2h_out_waitrequest),   //                                                           .waitrequest
		.fifo_f2h_out_csr_address                                         (mm_interconnect_0_fifo_f2h_out_csr_address),   //                                           fifo_f2h_out_csr.address
		.fifo_f2h_out_csr_write                                           (mm_interconnect_0_fifo_f2h_out_csr_write),     //                                                           .write
		.fifo_f2h_out_csr_read                                            (mm_interconnect_0_fifo_f2h_out_csr_read),      //                                                           .read
		.fifo_f2h_out_csr_readdata                                        (mm_interconnect_0_fifo_f2h_out_csr_readdata),  //                                                           .readdata
		.fifo_f2h_out_csr_writedata                                       (mm_interconnect_0_fifo_f2h_out_csr_writedata), //                                                           .writedata
		.fifo_h2f_in_write                                                (mm_interconnect_0_fifo_h2f_in_write),          //                                                fifo_h2f_in.write
		.fifo_h2f_in_writedata                                            (mm_interconnect_0_fifo_h2f_in_writedata),      //                                                           .writedata
		.fifo_h2f_in_waitrequest                                          (mm_interconnect_0_fifo_h2f_in_waitrequest),    //                                                           .waitrequest
		.fifo_h2f_in_csr_address                                          (mm_interconnect_0_fifo_h2f_in_csr_address),    //                                            fifo_h2f_in_csr.address
		.fifo_h2f_in_csr_write                                            (mm_interconnect_0_fifo_h2f_in_csr_write),      //                                                           .write
		.fifo_h2f_in_csr_read                                             (mm_interconnect_0_fifo_h2f_in_csr_read),       //                                                           .read
		.fifo_h2f_in_csr_readdata                                         (mm_interconnect_0_fifo_h2f_in_csr_readdata),   //                                                           .readdata
		.fifo_h2f_in_csr_writedata                                        (mm_interconnect_0_fifo_h2f_in_csr_writedata)   //                                                           .writedata
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (3),
		.OUTPUT_RESET_SYNC_EDGES   ("none"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (0),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller (
		.reset_in0      (~reset_reset_n),                 // reset_in0.reset
		.reset_in1      (~hps_0_h2f_cold_reset_reset),    // reset_in1.reset
		.reset_in2      (~hps_0_h2f_reset_reset),         // reset_in2.reset
		.clk            (),                               //       clk.clk
		.reset_out      (rst_controller_reset_out_reset), // reset_out.reset
		.reset_req      (),                               // (terminated)
		.reset_req_in0  (1'b0),                           // (terminated)
		.reset_req_in1  (1'b0),                           // (terminated)
		.reset_req_in2  (1'b0),                           // (terminated)
		.reset_in3      (1'b0),                           // (terminated)
		.reset_req_in3  (1'b0),                           // (terminated)
		.reset_in4      (1'b0),                           // (terminated)
		.reset_req_in4  (1'b0),                           // (terminated)
		.reset_in5      (1'b0),                           // (terminated)
		.reset_req_in5  (1'b0),                           // (terminated)
		.reset_in6      (1'b0),                           // (terminated)
		.reset_req_in6  (1'b0),                           // (terminated)
		.reset_in7      (1'b0),                           // (terminated)
		.reset_req_in7  (1'b0),                           // (terminated)
		.reset_in8      (1'b0),                           // (terminated)
		.reset_req_in8  (1'b0),                           // (terminated)
		.reset_in9      (1'b0),                           // (terminated)
		.reset_req_in9  (1'b0),                           // (terminated)
		.reset_in10     (1'b0),                           // (terminated)
		.reset_req_in10 (1'b0),                           // (terminated)
		.reset_in11     (1'b0),                           // (terminated)
		.reset_req_in11 (1'b0),                           // (terminated)
		.reset_in12     (1'b0),                           // (terminated)
		.reset_req_in12 (1'b0),                           // (terminated)
		.reset_in13     (1'b0),                           // (terminated)
		.reset_req_in13 (1'b0),                           // (terminated)
		.reset_in14     (1'b0),                           // (terminated)
		.reset_req_in14 (1'b0),                           // (terminated)
		.reset_in15     (1'b0),                           // (terminated)
		.reset_req_in15 (1'b0)                            // (terminated)
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (3),
		.OUTPUT_RESET_SYNC_EDGES   ("deassert"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (0),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller_001 (
		.reset_in0      (~reset_reset_n),                     // reset_in0.reset
		.reset_in1      (~hps_0_h2f_cold_reset_reset),        // reset_in1.reset
		.reset_in2      (~hps_0_h2f_reset_reset),             // reset_in2.reset
		.clk            (clk_clk),                            //       clk.clk
		.reset_out      (rst_controller_001_reset_out_reset), // reset_out.reset
		.reset_req      (),                                   // (terminated)
		.reset_req_in0  (1'b0),                               // (terminated)
		.reset_req_in1  (1'b0),                               // (terminated)
		.reset_req_in2  (1'b0),                               // (terminated)
		.reset_in3      (1'b0),                               // (terminated)
		.reset_req_in3  (1'b0),                               // (terminated)
		.reset_in4      (1'b0),                               // (terminated)
		.reset_req_in4  (1'b0),                               // (terminated)
		.reset_in5      (1'b0),                               // (terminated)
		.reset_req_in5  (1'b0),                               // (terminated)
		.reset_in6      (1'b0),                               // (terminated)
		.reset_req_in6  (1'b0),                               // (terminated)
		.reset_in7      (1'b0),                               // (terminated)
		.reset_req_in7  (1'b0),                               // (terminated)
		.reset_in8      (1'b0),                               // (terminated)
		.reset_req_in8  (1'b0),                               // (terminated)
		.reset_in9      (1'b0),                               // (terminated)
		.reset_req_in9  (1'b0),                               // (terminated)
		.reset_in10     (1'b0),                               // (terminated)
		.reset_req_in10 (1'b0),                               // (terminated)
		.reset_in11     (1'b0),                               // (terminated)
		.reset_req_in11 (1'b0),                               // (terminated)
		.reset_in12     (1'b0),                               // (terminated)
		.reset_req_in12 (1'b0),                               // (terminated)
		.reset_in13     (1'b0),                               // (terminated)
		.reset_req_in13 (1'b0),                               // (terminated)
		.reset_in14     (1'b0),                               // (terminated)
		.reset_req_in14 (1'b0),                               // (terminated)
		.reset_in15     (1'b0),                               // (terminated)
		.reset_req_in15 (1'b0)                                // (terminated)
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (1),
		.OUTPUT_RESET_SYNC_EDGES   ("deassert"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (0),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller_002 (
		.reset_in0      (~hps_0_h2f_reset_reset),             // reset_in0.reset
		.clk            (clk_clk),                            //       clk.clk
		.reset_out      (rst_controller_002_reset_out_reset), // reset_out.reset
		.reset_req      (),                                   // (terminated)
		.reset_req_in0  (1'b0),                               // (terminated)
		.reset_in1      (1'b0),                               // (terminated)
		.reset_req_in1  (1'b0),                               // (terminated)
		.reset_in2      (1'b0),                               // (terminated)
		.reset_req_in2  (1'b0),                               // (terminated)
		.reset_in3      (1'b0),                               // (terminated)
		.reset_req_in3  (1'b0),                               // (terminated)
		.reset_in4      (1'b0),                               // (terminated)
		.reset_req_in4  (1'b0),                               // (terminated)
		.reset_in5      (1'b0),                               // (terminated)
		.reset_req_in5  (1'b0),                               // (terminated)
		.reset_in6      (1'b0),                               // (terminated)
		.reset_req_in6  (1'b0),                               // (terminated)
		.reset_in7      (1'b0),                               // (terminated)
		.reset_req_in7  (1'b0),                               // (terminated)
		.reset_in8      (1'b0),                               // (terminated)
		.reset_req_in8  (1'b0),                               // (terminated)
		.reset_in9      (1'b0),                               // (terminated)
		.reset_req_in9  (1'b0),                               // (terminated)
		.reset_in10     (1'b0),                               // (terminated)
		.reset_req_in10 (1'b0),                               // (terminated)
		.reset_in11     (1'b0),                               // (terminated)
		.reset_req_in11 (1'b0),                               // (terminated)
		.reset_in12     (1'b0),                               // (terminated)
		.reset_req_in12 (1'b0),                               // (terminated)
		.reset_in13     (1'b0),                               // (terminated)
		.reset_req_in13 (1'b0),                               // (terminated)
		.reset_in14     (1'b0),                               // (terminated)
		.reset_req_in14 (1'b0),                               // (terminated)
		.reset_in15     (1'b0),                               // (terminated)
		.reset_req_in15 (1'b0)                                // (terminated)
	);

endmodule
